#
# spec file for package python-plaster-pastedeploy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-plaster-pastedeploy
Version:        0.4.1
Release:        bp154.1.42
Summary:        A loader implementing the PasteDeploy syntax to be used by plaster
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Pylons/plaster_pastedeploy
Source0:        https://files.pythonhosted.org/packages/source/p/plaster_pastedeploy/plaster_pastedeploy-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PasteDeploy >= 1.5.0
Requires:       python-plaster >= 0.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       python-plaster_pastedeploy = %{version}
%python_subpackages

%description
plaster_pastedeploy is a plaster plugin that provides a plaster.Loader
that can parse ini files according to the standard set by PasteDeploy.
It supports the wsgi plaster protocol, implementing the
plaster.protocols.IWSGIProtocol interface.

%prep
%setup -q -n plaster_pastedeploy-%{version}
rm -rf src/plaster_pastedeploy.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc
%{python_sitelib}/*

%changelog
* Wed Aug 30 2017 bruno@ioda-net.ch
- Also provide alternatives name plaster_pastedeploy
* Fri Jul 14 2017 aloisio@gmx.com
- Initial package (0.4.1)
